No puedo ejecutar wicd

6 envíos / 0 nuevos
Último envío
#1 Mié, 11/08/2021 - 12:04
jmsanzd
Imagen de jmsanzd
Desconectado/a
se unió: 05/08/17

No puedo ejecutar wicd

Estado: 
[ACTIVO]

Hola.

Estoy intentando instalar wicd como administrador de redes, pero me estoy encontrando con que no me abre la interfaz gráfica.

He instalado los paquetes correspondientes, pero, cuado intento ponerlo a funcionar desde la terminal, aparece esto:

jmsanzd@dell17:~$ wicd-gtk
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/wicd-client.py", line 41, in <module>
    import gtk
ModuleNotFoundError: No module named 'gtk'

 

No sé cuál es ese módulo gtk, ni dónde buscarlo.

He intentado localizar alguna solución , pero lo que se dice por los foros es que debe faltar "algo" para el paso a python3... Esto está fuera de mis conocimientos.

Creo que no es cuestión de hardware. Por eso, no agrego la información sobre mi equipo. Si es necesario, por favor, indicádmelo.

Un saludo y gracias.

Mié, 11/08/2021 - 13:24
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16

Bien, podrias informar cual version de debian tenes y como instalaste ( o desde donde ) wicd
en principio lo que te esta diciendo el error que el script python ,no encuentra el modulo python-gtk y por eso no puede ejecutar.
Intenta ver si tenes instalado dicho modulo
aptitude search python-gtk2 ##(debe figurar como instalado 'i ' )
caso contrario instalalo
Otra cuestion es si es python3 y gtk3 ,,,

Mié, 11/08/2021 - 13:44
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16

Por cierto, si no mal recuerdo para ejecutar wic interfaz grafica es :
wicd-client

Jue, 12/08/2021 - 04:31
jmsanzd
Imagen de jmsanzd
Desconectado/a
se unió: 05/08/17

Hola, Caliban.

Llevas razón, no he puesto esos datos.

Estoy en Debian Testing, con xfce como escritorio. Y wicd lo he instalado desde los repositorios, con synaptic.

El comando para lanzar wicd puede ser el que he indicado (wicd-gtk) o el que tú pones (wicd-client), el resultado es el mismo, sale la misma información.

Por último, ya no tengo nada de python2 o gtk2 en el sistema: Se eliminaron en la última actualización, cuando xfce pasó a la versión 4.18. Es posible que el problema con wicd venga por ahí...

Gracias por tu interés. Un saludo.

 

Edito: He instalado python-gtk2, y nada: El problema persiste. Me sigue dando la misma respuesta.

Jue, 12/08/2021 - 11:49
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

https://packages.debian.org/search?keywords=wicd-gtk

wicd-gtk no esá en testing ¿como lo intentas instalar? no está en testing ni en unstable, ni estará en bullseye. De momento solo está en experimental y ese bug sigue abierto...

 

  No hay bar que por bien no venga....
Jue, 12/08/2021 - 13:16 (Responder a #5)
jmsanzd
Imagen de jmsanzd
Desconectado/a
se unió: 05/08/17

Gracias, Panko.

Error mío, tenía activado el repo de experimental para algún programa que necesitaba... Lo he desactivado, y ya no me aparece wicd en synaptic.

Me toca esperar, a ver si entra pronto en los repos.

Un saludo.